import hou

def boundingBox(prim):
    tempListMin=prim.vertices()[0].point().position()
    tempListMax=prim.vertices()[0].point().position()
    for index in prim.vertices():        
        position=index.point().position()
        tempListMin[0]=min(tempListMin[0], position[0])
        tempListMin[1]=min(tempListMin[1], position[1])
        tempListMin[2]=min(tempListMin[2], position[2])
        tempListMax[0]=max(tempListMax[0], position[0])
        tempListMax[1]=max(tempListMax[1], position[1])
        tempListMax[2]=max(tempListMax[2], position[2])
    boundingBox=hou.BoundingBox(tempListMin[0], tempListMin[1], tempListMin[2], tempListMax[0], tempListMax[1], tempListMax[2])
    return boundingBox

def centroid(prim):
    tempListMin=prim.vertices()[0].point().position()
    tempListMax=prim.vertices()[0].point().position()
    for index in prim.vertices():        
        position=index.point().position()
        tempListMin[0]=min(tempListMin[0], position[0])
        tempListMin[1]=min(tempListMin[1], position[1])
        tempListMin[2]=min(tempListMin[2], position[2])
        tempListMax[0]=max(tempListMax[0], position[0])
        tempListMax[1]=max(tempListMax[1], position[1])
        tempListMax[2]=max(tempListMax[2], position[2])
    minPos = hou.Vector3((tempListMin[0],tempListMin[1],tempListMin[2]))
    maxPos = hou.Vector3((tempListMax[0],tempListMax[1],tempListMax[2]))
    return (minPos+maxPos)*0.5
